/*
Theme Name: xsalu
Theme URI: https://csalu.hu
Template: twentytwentyfive
Author: ABMG web & PPC
Author URI: https://abmg.hu
Description: Twentytwentyfive gyerek blokksablon.
Requires at least: 6.4
Tested up to: 6.6
Requires PHP: 7.0
Version: 1.2
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: xsalu
*/
:root {
    --abm-shadow-1: 0 4px 26px 0 #00000040;
    --abm-shadow-2: 0 2px 70px 0 #0000001A;
}

body {
    margin: 0 auto;
    max-width: 1920px;
}

body.modalOpen {
    overflow: hidden;
}

html {
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box !important;
}

*:focus{
    outline: none !important;
    stroke: none !important;
}

::selection{
    color: var(--wp--preset--color--base);
    background-color:  var(--wp--preset--color--accent-1);
}

a {
    transition: 300ms ease-in-out;
}

a,
a:hover{
    text-decoration: none !important;
}

span.lowerCase{
    text-transform: lowercase;
}

img {
    display: block;
}

.uagb-buttons__wrap {
    gap: 30px !important;
}

.wp-block-safe-svg-svg-icon {
    width: unset !important;
    display: flex !important;
}

.justifyText .uagb-heading-text {
    text-align: justify !important;
}

.hollowBtn,
.fillBtn {
    font-weight: 500;
    line-height: 1.2;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    text-transform: uppercase;
    font-size: 1em;
    transition: 400ms ease-in-out;
}

.hollowBtn svg,
.fillBtn svg {
    transition: 400ms ease-in-out;
    margin-top: 3px;
}

.hollowBtn {
    padding: 13px 30px;
    border-radius: 25px;
    border-width: 2px;
    border-style: solid;
    background-color: transparent;
}

.fillBtn {
    padding: 15px 30px;
    border-radius: 25px;
}

.hollowBtn.darkGreenBtn {
    color: var(--wp--preset--color--accent-1);
    border-color: var(--wp--preset--color--accent-1);
}

.hollowBtn.lightGreenBtn {
    color: var(--wp--preset--color--accent-2);
    border-color: var(--wp--preset--color--accent-2);
}

.hollowBtn.darkGreenBtn svg {
    color: var(--wp--preset--color--accent-1);
}

.hollowBtn.lightGreenBtn svg {
    color: var(--wp--preset--color--accent-2);
}

.fillBtn.darkGreenBtn {
    color: var(--wp--preset--color--base);
    background-color: var(--wp--preset--color--accent-1);
}

.fillBtn.lightGreenBtn {
    color: var(--wp--preset--color--accent-1);
    background-color: var(--wp--preset--color--accent-2);
    border: none;
}

.hollowBtn.whtBtn {
    color: var(--wp--preset--color--base);
    border-color: var(--wp--preset--color--base);
}

.quoteWrap {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    gap: 10px;
}

.quoteMicro {
    font-size: var(--wp--preset--font-size--small);
    line-height: 1.2;
    text-align: center;
}

.catalogueBtnIco .wp-block-button__link {
    gap: 10px !important;
    align-items: center !important;
    justify-content: center !important;
}

.catalogueBtnIco .wp-block-button__link::after {
    content: url('data:image/svg+xml,%3Csvg%20width%3D%2216%22%20height%3D%2224%22%20viewBox%3D%220%200%2016%2024%22%20fill%3D%22none%22%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%3E%3Cpath%20d%3D%22M14.7916%203.51348L13.7546%203.39824V0.48623C13.7472%200.350219%2013.687%200.222506%2013.587%200.130098C13.4756%200.0308146%2013.3265%20-0.0150952%2013.1785%200.0043981L0.294277%201.66992L0.137153%201.70134V1.74323L0.063844%201.80608L0.000994303%201.86893V1.93177V1.99462C-0.000331434%202.01554%20-0.000331434%202.03656%200.000994303%202.05747C-0.000331434%202.07839%20-0.000331434%202.09941%200.000994303%202.12032V19.4145C0.00109251%2019.635%200.139313%2019.8318%200.346668%2019.9068L11.4292%2023.992C11.4881%2024.0027%2011.5484%2024.0027%2011.6073%2023.992C11.8965%2023.992%2012.1311%2023.7575%2012.1311%2023.4683V21.4362L14.666%2021.7609H14.7289C15.0181%2021.7609%2015.2526%2021.5264%2015.2526%2021.2371V4.03724C15.2544%203.77087%2015.0561%203.54544%2014.7916%203.51348ZM12.7071%201.11473V3.20974L4.4319%202.16221L12.7071%201.11473ZM10.9263%2022.7455H10.9159L0.89135%2019.0478V2.93737L10.9263%206.65597V22.7455ZM11.9634%2020.3886V6.28938C11.9659%206.0829%2011.847%205.89421%2011.6596%205.80754L4.88231%203.30401L14.0479%204.49816L14.0584%2020.6506L11.9634%2020.3886Z%22%20fill%3D%22%230C5C48%22/%3E%3C/svg%3E');
    display: flex;
    transition: 400ms ease-in-out;
}

.catalogueBtnIco .wp-block-button__link:hover::after {
    filter: brightness(0) invert(1);
}

.oneWide {
    min-width: 1px !important;
    width: 1px !important;
}

/*SPECTRA BTN HOVER*/
.wp-block-button__link,
.wp-block-button__link .uagb-button__link,
.wp-block-button__link .uagb-button__icon-position-after svg {
    transition: 400ms ease-in-out !important;
}

.spectraDGBtn .wp-block-button__link:hover {
    background: var(--wp--preset--color--hover-1) !important;
}

.spectraLGBtn .wp-block-button__link:hover {
    background: var(--wp--preset--color--hover-2) !important;
}

.spectraLGBtn .wp-block-button__link:hover .uagb-button__link {
    color: var(--wp--preset--color--base) !important;
}

.spectraLGBtn .wp-block-button__link:hover .uagb-button__icon-position-after svg {
    fill: var(--wp--preset--color--base) !important;
}

.spectraHollowDGBtn .wp-block-button__link:hover {
    background-color: var(--wp--preset--color--hover-1) !important;
    border-color: var(--wp--preset--color--hover-1) !important;
}

.spectraHollowDGBtn .wp-block-button__link:hover .uagb-button__link {
    color: var(--wp--preset--color--base) !important;
}

.spectraHollowDGBtn .wp-block-button__link:hover .uagb-button__icon-position-after svg {
    fill: var(--wp--preset--color--base) !important;
}

.hollowBtn.darkGreenBtn:hover,
.hollowBtn.hollowBtn.lightGreenBtn:hover {
    background-color: var(--wp--preset--color--hover-1);
    border-color: var(--wp--preset--color--hover-1);
    color: var(--wp--preset--color--base);
}

.fillBtn.darkGreenBtn:hover {
    background-color: var(--wp--preset--color--hover-1);
}

.fillBtn.lightGreenBtn:hover {
    background-color: var(--wp--preset--color--hover-2);
    color: var(--wp--preset--color--base);
}

.hollowBtn.darkGreenBtn:hover svg,
.hollowBtn.hollowBtn.lightGreenBtn:hover svg {
    color: var(--wp--preset--color--base);
}

.contInfoBox .uagb-ifb-title {
    transition: 300ms ease-in-out !important;
}

.contInfoBox:hover .uagb-ifb-title {
    color: var(--wp--preset--color--accent-2);
}

.margin-top-auto {
    margin-top: auto !important;
}

.flex1 {
    flex: 1 !important;
}

.flex2 {
    flex: 2 !important;
}

.modalCloser {
    transition: 400ms ease-in-out;
}

.modalCloser:hover {
    background-color: var(--wp--preset--color--hover-1) !important;
}

/*ARCHIVE*/
.archiveGrid .uagb-post__inner-wrap {
    position: relative !important;
    display: flex !important;
    flex-direction: column !important;
}

.archiveGrid .uagb-post__image {
    margin: 0 !important;
    overflow: hidden !important;
}

.archiveGrid .uagb-post__image img {
    object-fit: cover !important;
    border-radius: 15px !important;
}

.archiveGrid .uagb-post-grid-byline {
    display: none !important;
}

.archiveGrid .wp-block-button {
    display: flex !important;
    padding: 0 !important;
    margin-top: auto;
}

.archiveGrid .wp-block-button .uagb-text-link {
    background-color: transparent !important;
    padding: 8px 15px !important;
    transition: 400ms ease-in-out !important;
}

.archiveGrid .wp-block-button .uagb-text-link::before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.archiveGrid .wp-block-button .uagb-text-link:hover {
    color: var(--wp--preset--color--contrast) !important;
    background-color: var(--wp--preset--color--accent-2) !important;
}

.archiveGrid .uagb-post-pagination-wrap a {
    transition: 300ms ease-in-out !important;
}

.archiveGrid .uagb-post-pagination-wrap a:hover {
    color: var(--wp--preset--color--base) !important;
}

/*REFERENCES SLIDER*/
.relRefSlider .slick-track {
    display: flex !important;
}

.relRefSlider .slick-slide {
    padding: 0 10px !important;
    height: inherit !important;
}

.relRefSlider .slick-slide > div {
    height: 100% !important;
}

.relRefSlider .uagb-post__inner-wrap {
    margin: 0 !important;
    padding: 20px !important;
    border-radius: 25px !important;
    border: 1px solid var(--wp--preset--color--accent-1) !important;
    height: 100% !important;
    display: flex !important;
    flex-direction: column !important;
}

.relRefSlider .uagb-post__image img {
    height: 250px !important;
    object-fit: cover !important;
    border-radius: 15px !important;
}

.relRefSlider .wp-block-button {
    margin-top: auto !important;
}

.relRefSlider .wp-block-button__link {
    text-transform: uppercase !important;
}

.relRefSlider .uagb-post__inner-wrap > * {
    margin-left: 0 !important;
    margin-right: 0 !important;
}

/*UNIFY RADIUS*/
.compressedRadius:not(.archiveGrid, .relRefSlider),
.compressedRadius.circleElement,
.compressedRadius.wp-block-uagb-image img,
.compressedRadius.archiveGrid .uagb-post__inner-wrap,
.compressedRadius.archiveGrid .uagb-post__image img,
.compressedRadius.relRefSlider .uagb-post__inner-wrap,
.compressedRadius.relRefSlider .uagb-post__image img,
.specCardOuter.compressedRadius:hover::before,
.specCardOuter.compressedRadius:hover::after,
.compressedRadius .catalogueFormImg,
.compressedRadius .formDataWrap,
.compressedRadius .vertriebsFormImg,
.compressedRadius .prodModalVid,
.compressedRadius .prodModalVidLink,
.compressedRadius .prodModalVidImg,
.compressedRadius .prodModalSlideImg,
.compressedRadius .prodModalImgLink  {
    border-radius: 10px !important;
}

.specCardOuter.compressedRadius::before {
    border-top-left-radius: 10px !important;
}

.specCardOuter.compressedRadius::after {
    border-bottom-right-radius: 10px !important;
}

.heroWrap .innerBox .textBox.compressedRadius {
    border-radius: 10px 10px 0 0 !important;
}

/*HIDE X MARKS*/
.xHide,
.wp-block-safe-svg-svg-icon:has(.safe-svg-inside.xHide),
.formDecor {
    display: none !important;
}